/*
 * COPYRIGHT (c) 2018 All rights reserved by HANWHA LIFE.
 */
package kr.co.zumo.app.lifeplus.view.fragment.factory;

import android.support.v4.app.Fragment;

import kr.co.zumo.app.lifeplus.supervisor.ScreenID;
import kr.co.zumo.app.lifeplus.view.fragment.signup.SignUpStartZumoFragment;
import kr.co.zumo.app.lifeplus.view.fragment.signup.SignUpCompletedZumoFragment;

/**
 * 프래그먼트 팩토리
 * <pre>
 * </pre>
 *
 * @author 민효동
 * @version 1.0
 * @history 민효동   [2018. 9. 5.]   [최초 작성]
 * @since 2018. 9. 5.
 */
public class SignUpZumoFragmentFactory extends BasicFragmentFactory {
  @Override
  public Fragment getFragmentById(@ScreenID.FragmentID int id) {
    Fragment fragment = null;
    switch (id) {
      case ScreenID.SIGN_UP_START:
        fragment = new SignUpStartZumoFragment();
        break;
      case ScreenID.SIGN_UP_COMPLETED:
        fragment = new SignUpCompletedZumoFragment();
        break;
      default:
        fragment = super.getFragmentById(id);
        break;
    }

    return fragment;
  }
}
